package com.example.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
*/
public class Product implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Integer id;
    /** 产品状态 */
    private String productState;
    /** 产品名称 */
    private String productName;
    /** 产品图标url */
    private String productIcons;
    /** 产品类型ids */
    private String productTypeIds;
    /** 定价 */
    private BigDecimal productBidPrice;
    /** 实付价格 */
    private BigDecimal productSellPrice;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProductState() {
        return productState;
    }

    public void setProductState(String productState) {
        this.productState = productState;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductIcons() {
        return productIcons;
    }

    public void setProductIcons(String productIcons) {
        this.productIcons = productIcons;
    }

    public String getProductTypeIds() {
        return productTypeIds;
    }

    public void setProductTypeIds(String productTypeIds) {
        this.productTypeIds = productTypeIds;
    }

    public BigDecimal getProductBidPrice() {
        return productBidPrice;
    }

    public void setProductBidPrice(BigDecimal productBidPrice) {
        this.productBidPrice = productBidPrice;
    }

    public BigDecimal getProductSellPrice() {
        return productSellPrice;
    }

    public void setProductSellPrice(BigDecimal productSellPrice) {
        this.productSellPrice = productSellPrice;
    }

}